Bug 148245 - [patch] Upgrade net/Sockets to 2.3.9.2
Summary: [patch] Upgrade net/Sockets to 2.3.9.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-29 21:50 UTC by ml
Modified: 2010-07-16 17:40 UTC (History)
0 users

See Also:


Attachments
Sockets.diff (9.07 KB, patch)
2010-06-29 21:50 UTC, ml
no flags Details | Diff
Sockets.diff (9.12 KB, patch)
2010-07-07 09:49 UTC, ml
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ml 2010-06-29 21:50:04 UTC
	Attached is a diff updating the net/Sockets port to version 2.3.9.2
	I'm also willing to take maintainership.

	Notice a file was added: this is
	       files/Makefile.Defines.freebsd
Comment 1 Josh Paetzel freebsd_committer 2010-07-05 20:58:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jpaetzel

I'll take it.
Comment 2 Josh Paetzel freebsd_committer 2010-07-06 16:02:12 UTC
Tinderbox shows a leftover directory, I added @dirrmtry lib/pkgconfig to
the pkg-plist and it passed a tinderbox run.

If that is acceptable I will go ahead and commit it.

-- 
Thanks,

Josh Paetzel
Comment 3 ml 2010-07-07 09:49:08 UTC
On 07/06/10 17:02, Josh Paetzel wrote:
> Tinderbox shows a leftover directory, I added @dirrmtry lib/pkgconfig to
> the pkg-plist and it passed a tinderbox run.
>
> If that is acceptable I will go ahead and commit it.

Please forgive my lack of experience: I guess that should have been 
changed into "libdata/pkgconfig".

I'm attaching a new port patch.

  bye & Thanks
	av.
Comment 4 Josh Paetzel freebsd_committer 2010-07-08 23:24:45 UTC
When I looked at the port I thought that too, but there seems to be
something that I don't quite understand because adding the dir you
suggested to the plist (which is something I tried) doesn't fix the
tinderbox error, and generates an additional error about not being able
to delete a non-existant directory.

Your new patch doesn't have either libdata/pkgconfig or lib/pkgconfig
though.

-- 
Thanks,

Josh Paetzel
Comment 5 dfilter service freebsd_committer 2010-07-16 17:37:55 UTC
jpaetzel    2010-07-16 16:37:43 UTC

  FreeBSD ports repository

  Modified files:
    net/Sockets/files    patch-Makefile 
    net/Sockets          Makefile distinfo pkg-descr pkg-plist 
  Added files:
    net/Sockets/files    Makefile.Defines.freebsd 
  Log:
  Upgrade to 2.3.9.2
  Assign new maintainer
  
  PR:     ports/148245
  Submitted by:   Andrea Venturoli <ml@netfence.it>
  
  Revision  Changes    Path
  1.10      +20 -24    ports/net/Sockets/Makefile
  1.6       +3 -3      ports/net/Sockets/distinfo
  1.1       +14 -0     ports/net/Sockets/files/Makefile.Defines.freebsd (new)
  1.5       +27 -22    ports/net/Sockets/files/patch-Makefile
  1.3       +5 -4      ports/net/Sockets/pkg-descr
  1.5       +27 -10    ports/net/Sockets/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Josh Paetzel freebsd_committer 2010-07-16 17:39:00 UTC
State Changed
From-To: open->closed

committed, thanks.